import type * as lst from "vscode-languageserver-types";
import { type CommandApplication, type DocumentLike, type SourceFile } from "../index.js";
import { type ExecutableCommand } from "./command/common.js";
export declare function getCodeActions(doc: DocumentLike, sourceFile: SourceFile, range: lst.Range, _context?: lst.CodeActionContext): lst.Command[] | undefined;
export declare const enum CommandIds {
    ChangeEdgeOp = "DOT.changeEdgeOp",
    ConvertGraphType = "DOT.convertGraphType",
    ConsolidateDescendants = "DOT.consolidateDescendants",
    RemoveSemicolons = "DOT.removeSemicolons"
}
export declare function getAvailableCommands(): string[];
export declare function executeCommand(doc: DocumentLike, sourceFile: SourceFile, cmd: ExecutableCommand<unknown[]>): CommandApplication | undefined;
